man2html(1)

NAZWA
man2html - formatuje stronę man w html-u

SKŁADNIA
man2html [opcje] [plik]

OPIS
man2html wykonuje konwersję strony podręcznika systemowego zapisanej w podanym pliku (lub pobieranej ze standardowego wejścia, w przypadku gdy nie podano nazwy pliku lub podano nazwę "-") z używanego przez man formatu nroff na html i drukuje wynik na stdout. Obsługuje tbl, ale nie zna eqn. Kod zakończenia wynosi 0. Jeśli coś się nie powiedzie, to na standardowe wyjście wypisywana jest strona z komunikatem błędu. Może być wykorzystywane jako samodzielne narzędzie, ale zasadniczo zaprojektowano je do zastosowań pomocniczych, by umożliwić użytkownikom przeglądanie stron podręcznika systemowego za pomocą przeglądarki html, takiej jak np. lynx(1), xmosaic(1) czy netscape(1). Główną część man2html stanowi konwerter troff-na-html napisany przez Richarda Verhoevena (rcb5@win.tue.nl). Dodaje on odnośniki hipertekstowe do następujących konstrukcji:

foo(3x) | "http://localhost/cgi-bin/man/man2html?3x+foo"
metoda://łańcuch | "metoda://łańcuch"
www.nazwa.hosta | "http://www.host.name"
ftp.nazwa.hosta | "ftp://ftp.host.name"
nazwa@host | "mailto:name@host"
<string.h> | "file:/usr/include/string.h"

(Pierwsza z nich może być dopasowywana do potrzeb przez opcje - zobacz niżej). Nie jest wykonywane żadne wyszukiwanie - obiekty wskazywane przez tworzone odnośniki nie muszą istnieć. Tworzony jest też indeks wewnętrznych odnośników hipertekstowych do różnych sekcji strony, co ułatwia orientację w dużych stronach jak bash(1).

OPCJE
Przy odczycie ze standardowego wejścia nie zawsze jest jasne, jak wykonać rozwinięcie żądania .so. Opcja -D pozwala skryptowi na zdefiniowanie katalogu roboczego.

-D ścieżka
    Przed rozpoczęciem konwersji obcina ostatnie dwie części ścieżki i w odniesieniu do pozostałej części wykonuje chdir(dir).

Opcja -E umożliwia skryptowi cgi łatwe tworzenie komunikatów o błędach.

-E łańcuch
    Tworzy w wyniku stronę zawierającą zadany komunikat o błędzie.

Ogólną postacią odnośnika hipertekstowego generowanego dla odsyłacza strony man jest

    <metoda:ścieżkacgi><ścieżkaman2html><separator><stronaman>

z wartością domyślną pokazaną powyżej. Składowe tego odnośnika ustawiane są przy pomocy różnych opcji.

-h  Ustawia metoda:ścieżkacgi na http://localhost.

-HP host[.domena][:port]
    Ustawia metoda:ścieżkacgi na http://host.domena:port.

-l  Ustawia metoda:ścieżkacgi na lynxcgi:/usr/lib.

-L katalog
    Ustawia metoda:ścieżkacgi na lynxcgi:katalog.

-M ścieżkaman2html
    Ustawia ścieżkę man2html, jaka ma być użyta. Domyślnie jest to /cgi-bin/man/man2html.

-p  Ustawia separator na "/".

-q  Ustawia separator na "?". Jest to separator domyślny.

-r  Używa względnych ścieżek html, zamiast ścieżek typu cgi-bin.

Na maszynach, na których nie jest uruchomiony httpd, można do przeglądania stron man używać przeglądarki lynx, wykorzystując metodę lynxcgi. Jeżeli pracuje jakiś demon http, do przeglądania można użyć lynxa, czy jakiejkolwiek innej przeglądarki, wykorzystując metodę http. Opcja -l (oznaczająca "lynxcgi") wybiera pierwsze z opisanych zachowań. Przy jej zastosowaniu domyślną ścieżką cgi jest /usr/lib. Ogólnie skrypt cgi wywołuje się przez

    <ścieżka_do_skryptu>/<dalej_ścieżka>?<zapytanie>

a zmiennym środowiska PATH_INFO i QUERY_STRING zostaną przypisane wartości, odpowiednio, <dalej_ścieżka> i <zapytanie>. Ponieważ lynxcgi nie obsługuje części PATH_INFO, domyślnie tworzone są odnośniki z "?" jako separatorem. Opcja -p ("path" - ścieżka) wybiera na separator znak ukośnika "/", a -q ("query" - zapytanie) - znak zapytania "?". Opcja -H host określa nazwę hosta, który ma być używany (zamiast localhost). Skrypt cgi może wykorzystać konstrukcję

    man2html -H $SERVER_NAME

jeśli ustawiona jest zmienna SERVER_NAME. Dzięki temu maszyna może działać jako serwer i eksportować strony man.

BŁĘDY
Wiele rzeczy jest zrobionych heurystycznie. Wynik nie zawsze będzie doskonały. Metoda lynxcgi nie zadziała, jeżeli lynx został skompilowany bez jej obsługi. Mogą być problemy z bezpieczeństwem.

AUTOR
Richard Verhoeven był oryginalnym autorem programu man2html. Michael Hamilton i Andries Brouwer kolejno go ulepszali. Obecnym opiekunem programu jest Federico Lucifredi <flucifredi@acm.org>.

ZOBACZ TAKŻE
lynx(1), man(1), hman(1)

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Wojtek Kotwica (PTM) <wkotwica@post.pl> i Robert Luberda <robert@debian.org>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 1.6g oryginału.